Skip to main content
GET
/
events
/
{eventId}
/
markets
/
{marketId}
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/events/{eventId}/markets/{marketId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jup.ag/prediction/v1/events/{eventId}/markets/{marketId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jup.ag/prediction/v1/events/{eventId}/markets/{marketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "marketId": "<string>",
  "openTime": 123,
  "closeTime": 123,
  "resolveAt": "<string>",
  "eventId": "<string>",
  "title": "<string>",
  "marketResultPubkey": "<string>",
  "imageUrl": "<string>",
  "rulesPrimary": "<string>",
  "rulesSecondary": "<string>",
  "outcomes": [
    "<string>"
  ],
  "marketOptions": [
    {
      "label": "<string>",
      "buyYes": true
    }
  ],
  "clobTokenIds": [
    "<string>"
  ],
  "isTeamMarket": true,
  "team": {},
  "sportsLine": 123,
  "sportsMarketType": "<string>",
  "pricing": {
    "buyYesPriceUsd": 123,
    "buyNoPriceUsd": 123,
    "sellYesPriceUsd": 123,
    "sellNoPriceUsd": 123,
    "volume": 123
  }
}
{
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

eventId
string
required

Event identifier

Minimum string length: 1
marketId
string
required

Market identifier

Minimum string length: 1

Response

Market data

Market fields are returned flat (there is no nested metadata object).

marketId
string
required

Market identifier

status
enum<string>
required

Current market status

Available options:
open,
closed,
cancelled
result
enum<string> | null
required

Market result. null until resolved, then "yes" or "no"

Available options:
yes,
no
openTime
number
required

Unix timestamp (seconds) when the market opens

closeTime
number
required

Unix timestamp (seconds) when the market closes

resolveAt
required

When the market resolved. null while open; returned as an ISO 8601 string once resolved

eventId
string

Parent event identifier

provider
enum<string>

Market data provider

Available options:
polymarket,
gx,
bisonfi
title
string

Market title

marketResultPubkey
string | null

Public key of the market result account

imageUrl
string<uri> | null

Market image URL

rulesPrimary
string

Primary resolution rules

rulesSecondary
string

Secondary resolution rules

outcomes
string[]

Outcome labels for the market

marketOptions
object[]

Selectable options for team or multi-outcome markets

clobTokenIds
string[]

Underlying CLOB token IDs (provider-specific)

isTeamMarket
boolean

True for team or sports markets

team
object | null

Team metadata, present for team markets

sportsLine
number | null

Sports line or handicap, when applicable

sportsMarketType
string | null

Sports market type, when applicable

pricing
object